SortableIntField (Solr 3.6.2 API)
Keywords: org.apache.solr.schema.SortableIntField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.schema
Class SortableIntField

    java.lang.Object
      org.apache.solr.schema.FieldProperties
          org.apache.solr.schema.FieldType
              org.apache.solr.schema.PrimitiveFieldType
                  org.apache.solr.schema.SortableIntField

Deprecated. use `IntField` or `TrieIntField` - will be removed in 5.x

    public class SortableIntField

extends PrimitiveFieldType

A legacy numeric field type that encodes "Integer" values as Strings such that Term enumeration order matches the natural numeric order. This class should not be used except by people with existing indexes that already contain fields of this type. New schemas should use `TrieIntField`.

The naming convention "Sortable" comes from the fact that both the numeric values and encoded String representations Sort identically (as opposed to a direct String representation where values such as "11" sort before values such as "2").

See Also:
  `TrieIntField`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.schema.FieldType
`FieldType.DefaultAnalyzer`

Field Summary

Fields inherited from class org.apache.solr.schema.FieldType
`analyzer, args, falseProperties, log, POLY_FIELD_SEPARATOR, queryAnalyzer, trueProperties, typeName`

Fields inherited from class org.apache.solr.schema.FieldProperties
`BINARY, INDEXED, MULTIVALUED, OMIT_NORMS, OMIT_POSITIONS, OMIT_TF_POSITIONS, REQUIRED, SORT_MISSING_FIRST, SORT_MISSING_LAST, STORE_TERMOFFSETS, STORE_TERMPOSITIONS, STORE_TERMVECTORS, STORED, TOKENIZED`

Constructor Summary
`SortableIntField()` Deprecated.

Method Summary
`SortField` | `getSortField(SchemaField field, boolean reverse)` Deprecated. Returns the SortField instance that should be used to sort fields of this type.
`ValueSource` | `getValueSource(SchemaField field, QParser qparser)` Deprecated. called to get the default value source (normally, from the Lucene FieldCache.)
`String` | `indexedToReadable(String indexedForm)` Deprecated. Given an indexed term, return the human readable representation
`String` | `toExternal(Fieldable f)` Deprecated. Convert the stored-field format to an external (string, human readable) value
`String` | `toInternal(String val)` Deprecated. Convert an external value (from XML update command or from query string) into the internal format for both storing and indexing (which can be modified by any analyzers).
`Integer` | `toObject(Fieldable f)` Deprecated. Convert the stored-field format to an external object.
`void` | `write(TextResponseWriter writer, String name, Fieldable f)` Deprecated. calls back to TextResponseWriter to write the field value
`void` | `write(XMLWriter xmlWriter, String name, Fieldable f)` Deprecated. Renders the specified field as XML

Methods inherited from class org.apache.solr.schema.PrimitiveFieldType
`init`

Methods inherited from class org.apache.solr.schema.FieldType
`createField, createField, createFields, getAnalyzer, getArg, getFieldIndex, getFieldQuery, getFieldStore, getFieldTermVec, getIndexOptions, getQueryAnalyzer, getRangeQuery, getStringSort, getTypeName, getValueSource, hasProperty, isMultiValued, isPolyField, isTokenized, multiValuedFieldCache, readableToIndexed, restrictProps, setAnalyzer, setQueryAnalyzer, storedToIndexed, storedToReadable, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SortableIntField

    public SortableIntField()

  Deprecated.

Method Detail

### getSortField

    public SortField getSortField(SchemaField field,
                                  boolean reverse)

  Deprecated.
  Description copied from class: `FieldType`
  Returns the SortField instance that should be used to sort fields of this type.

  Specified by:
    `getSortField` in class `FieldType`
  See Also:
    `SchemaField.checkSortability()`

### getValueSource

    public ValueSource getValueSource(SchemaField field,
                                      QParser qparser)

  Deprecated.
  Description copied from class: `FieldType`
  called to get the default value source (normally, from the Lucene FieldCache.)

  Overrides:
    `getValueSource` in class `FieldType`

### toInternal

    public String toInternal(String val)

  Deprecated.
  Description copied from class: `FieldType`
  Convert an external value (from XML update command or from query string) into the internal format for both storing and indexing (which can be modified by any analyzers).

  Overrides:
    `toInternal` in class `FieldType`
  See Also:
    `FieldType.toExternal(org.apache.lucene.document.Fieldable)`

### toExternal

    public String toExternal(Fieldable f)

  Deprecated.
  Description copied from class: `FieldType`
  Convert the stored-field format to an external (string, human readable) value

  Overrides:
    `toExternal` in class `FieldType`
  See Also:
    `FieldType.toInternal(java.lang.String)`

### indexedToReadable

    public String indexedToReadable(String indexedForm)

  Deprecated.
  Description copied from class: `FieldType`
  Given an indexed term, return the human readable representation

  Overrides:
    `indexedToReadable` in class `FieldType`

### toObject

    public Integer toObject(Fieldable f)

  Deprecated.
  Description copied from class: `FieldType`
  Convert the stored-field format to an external object.

  Overrides:
    `toObject` in class `FieldType`
  See Also:
    `FieldType.toInternal(java.lang.String)`

### write

    public void write(XMLWriter xmlWriter,
                      String name,
                      Fieldable f)
               throws IOException

  Deprecated.
  Description copied from class: `FieldType`
  Renders the specified field as XML

  Specified by:
    `write` in class `FieldType`
  Throws:
    `IOException`

### write

    public void write(TextResponseWriter writer,
                      String name,
                      Fieldable f)
               throws IOException

  Deprecated.
  Description copied from class: `FieldType`
  calls back to TextResponseWriter to write the field value

  Specified by:
    `write` in class `FieldType`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD